IntelliCAD 11.1 Object Library
AddBox Method
See Also 
Origin

A Point object identifying the origin of the box.

Length
A double-precision variable representing the length of the box.
Width
A double-precision variable representing the width of the box.
Height
A double-precision variable representing the height of the box.
ModelSpace Collection : AddBox Method

Description

Adds a Polygon Mesh box given the origin, length, width and height.

Syntax

Visual Basic
Public Function AddBox( _
   ByVal Origin As Point, _
   ByVal Length As Double, _
   ByVal Width As Double, _
   ByVal Height As Double _
) As Solid3D

Parameters

Origin

A Point object identifying the origin of the box.

Length
A double-precision variable representing the length of the box.
Width
A double-precision variable representing the width of the box.
Height
A double-precision variable representing the height of the box.

Example

Private Sub AddBox_Example()

' This example adds a box to the drawing using the AddBox method.

     Dim myDoc As IntelliCAD.Document

     Dim boxObj As IntelliCAD.PolygonMesh

     Dim pt As Point

     Set myDoc = ActiveDocument

     Set pt = Library.CreatePoint(1, 1, 0)

     

     Set boxObj = ThisDocument.ModelSpace.AddBox(pt, 3, 3, 4)

     boxObj.Update

     ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.